Subject: Re: bug#13864: 24.3.50; emacsclient -t loops when connected to emacs server running in X11

From: [email-masked] (Ashish SHUKLA)
Date: Tue, 05 Mar 2013 05:56:40 +0530

On Mon, 04 Mar 2013 22:22:30 +0200, Eli Zaretskii <[email-masked]> said:
>> From: [email-masked] (Ashish SHUKLA)
>> Cc: [email-masked]
>> Date: Tue, 05 Mar 2013 00:43:11 +0530
>> 
>> > Did this problem appear lately, or do you see it in previous versions
>> > as well (e.g., on the emacs-24 branch)?  If this only appeared
>> > recently, could you perhaps bisect to find the commit which caused
>> > this?
>> 
>> As, I only recently started to use Emacs like this, it became noticeable, but
>> I don't remember encountering it before when multi-tty support was introduced.
>> 
>> I've couple of old Emacs 24.3.50, and Emacs ~23.x packages. I can give them a
>> shot.

> Please do.

I tried r1110803, r110921, r111026, r111253, r111312, and r111607, they were
good.  Then, I tried r111818, and it has this.

No problem with Emacs 23.4.

HTH
-- 
Ashish SHUKLA

“Let others praise ancient times; I am glad I was born in these.” (Ovid (43 B.C. - A.D. 18))

Sent from my Emacs